org.apache.storm.serialization

## Class DefaultKryoFactory

- java.lang.Object
- - org.apache.storm.serialization.DefaultKryoFactory

- All Implemented Interfaces:
    IKryoFactory

      public class DefaultKryoFactory
      extends Object
      implements IKryoFactory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultKryoFactory.KryoSerializableDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultKryoFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.esotericsoftware.kryo.Kryo` | `getKryo(Map<String,Object> conf)`
    `void` | `postDecorate(com.esotericsoftware.kryo.Kryo k, Map<String,Object> conf)`
    `void` | `postRegister(com.esotericsoftware.kryo.Kryo k, Map<String,Object> conf)`
    `void` | `preRegister(com.esotericsoftware.kryo.Kryo k, Map<String,Object> conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultKryoFactory

          public DefaultKryoFactory()

  - ### Method Detail

    - #### getKryo

          public com.esotericsoftware.kryo.Kryo getKryo(Map<String,Object> conf)

      Specified by:
        `getKryo` in interface `IKryoFactory`

    - #### preRegister

          public void preRegister(com.esotericsoftware.kryo.Kryo k,
                                  Map<String,Object> conf)

      Specified by:
        `preRegister` in interface `IKryoFactory`

    - #### postRegister

          public void postRegister(com.esotericsoftware.kryo.Kryo k,
                                   Map<String,Object> conf)

      Specified by:
        `postRegister` in interface `IKryoFactory`

    - #### postDecorate

          public void postDecorate(com.esotericsoftware.kryo.Kryo k,
                                   Map<String,Object> conf)

      Specified by:
        `postDecorate` in interface `IKryoFactory`

Copyright © 2021 The Apache Software Foundation. All rights reserved.